Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## javax.swing
Class JMenu

Method Summary
`Component` | `getAt(int index)` Support the subscript operator for JMenu.
`Iterator` | `iterator()` Returns an Iterator which traverses the JMenu one component at a time.
`JMenu` | `leftShift(Action action)` Overloads the left shift operator to provide an easy way to add components to a menu.
`JMenu` | `leftShift(Component component)` Overloads the left shift operator to provide an easy way to add components to a menu.
`JMenu` | `leftShift(JMenuItem item)` Overloads the left shift operator to provide an easy way to add components to a menu.
`JMenu` | `leftShift(String str)` Overloads the left shift operator to provide an easy way to add components to a menu.
`JMenu` | `leftShift(GString gstr)` Overloads the left shift operator to provide an easy way to add components to a menu.
`int` | `size()` Provide the standard Groovy `size()` method for `JMenu`.

Method Detail

### getAt

    public Component getAt(int index)

  Support the subscript operator for JMenu.

Parameters:
  `index` - the index of the menu component to get.

Returns:
  the menu component at the given index

Since:
  1.6.4

### iterator

    public Iterator iterator()

  Returns an Iterator which traverses the JMenu one component at a time.

Returns:
  an Iterator for a JMenu

Since:
  1.6.4

### leftShift

    public JMenu leftShift(Action action)

  Overloads the left shift operator to provide an easy way to add components to a menu.

Parameters:
  `action` - an action to be added to the menu..

Returns:
  same menu, after the value was added to it.

Since:
  1.6.4

### leftShift

    public JMenu leftShift(Component component)

  Overloads the left shift operator to provide an easy way to add components to a menu.

Parameters:
  `component` - a component to be added to the menu..

Returns:
  same menu, after the value was added to it.

Since:
  1.6.4

### leftShift

    public JMenu leftShift(JMenuItem item)

  Overloads the left shift operator to provide an easy way to add components to a menu.

Parameters:
  `item` - an item to be added to the menu..

Returns:
  same menu, after the value was added to it.

Since:
  1.6.4

### leftShift

    public JMenu leftShift(String str)

  Overloads the left shift operator to provide an easy way to add components to a menu.

Parameters:
  `str` - a String to be added to the menu..

Returns:
  same menu, after the value was added to it.

Since:
  1.6.4

### leftShift

    public JMenu leftShift(GString gstr)

  Overloads the left shift operator to provide an easy way to add components to a menu.

Parameters:
  `gstr` - a GString to be added to the menu..

Returns:
  same menu, after the value was added to it.

Since:
  1.6.4

### size

    public int size()

  Provide the standard Groovy `size()` method for `JMenu`.

Returns:
  the menu component count of the menu

Since:
  1.6.4

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK